org.eclipse.ease.ui.view

## Class ScriptHistoryText

- java.lang.Object
- - org.eclipse.swt.widgets.Widget
  - - org.eclipse.swt.widgets.Control
    - - org.eclipse.swt.widgets.Scrollable
      - - org.eclipse.swt.widgets.Composite
        - - org.eclipse.swt.widgets.Canvas
          - - org.eclipse.swt.custom.StyledText
            - - org.eclipse.ease.ui.view.ScriptHistoryText

All Implemented Interfaces:
  IExecutionListener, Drawable

    public class ScriptHistoryText
    extends StyledText
    implements IExecutionListener

### Field Summary

Fields
`static int` `STYLE_COMMAND`
`static int` `STYLE_ERROR`
`static int` `STYLE_RESULT`

### Fields inherited from class org.eclipse.swt.widgets.Composite

`embeddedHandle`

### Fields inherited from class org.eclipse.swt.widgets.Widget

`handle`

### Fields inherited from interface org.eclipse.ease.IExecutionListener

`ENGINE_END, ENGINE_START, SCRIPT_END, SCRIPT_INJECTION_END, SCRIPT_INJECTION_START, SCRIPT_START`

### Constructor Summary

Constructors
Constructor and Description
`ScriptHistoryText(Composite parent, int style)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addScriptEngine(IScriptEngine engine)`
`void` `clear()`
`void` `dispose()`
`void` `localPrint(String message, int style)` Print a given message.
`void` `notify(IScriptEngine engine, Script script, int status)` Notifies the listeners when script execution started/ended or when the engine itself is started/ended.
`void` `removeScriptEngine(IScriptEngine engine)`

### Methods inherited from class org.eclipse.swt.custom.StyledText

`addBidiSegmentListener, addCaretListener, addExtendedModifyListener, addLineBackgroundListener, addLineStyleListener, addModifyListener, addPaintObjectListener, addSelectionListener, addVerifyKeyListener, addVerifyListener, addWordMovementListener, append, computeSize, copy, copy, cut, getAlignment, getAlwaysShowScrollBars, getBackground, getBaseline, getBaseline, getBidiColoring, getBlockSelection, getBlockSelectionBounds, getBottomMargin, getCaretOffset, getCharCount, getContent, getDoubleClickEnabled, getDragDetect, getEditable, getForeground, getHorizontalIndex, getHorizontalPixel, getIndent, getJustify, getKeyBinding, getLeftMargin, getLine, getLineAlignment, getLineAtOffset, getLineBackground, getLineBullet, getLineCount, getLineDelimiter, getLineHeight, getLineHeight, getLineIndent, getLineIndex, getLineJustify, getLinePixel, getLineSpacing, getLineTabStops, getLineWrapIndent, getLocationAtOffset, getMarginColor, getOffsetAtLine, getOffsetAtLocation, getOrientation, getRanges, getRanges, getRightMargin, getSelection, getSelectionBackground, getSelectionCount, getSelectionForeground, getSelectionRange, getSelectionRanges, getSelectionText, getStyleRangeAtOffset, getStyleRanges, getStyleRanges, getStyleRanges, getStyleRanges, getTabs, getTabStops, getText, getText, getTextBounds, getTextLimit, getTextRange, getTopIndex, getTopMargin, getTopPixel, getWordWrap, getWrapIndent, insert, invokeAction, isTextSelected, paste, print, print, print, redraw, redraw, redrawRange, removeBidiSegmentListener, removeCaretListener, removeExtendedModifyListener, removeLineBackgroundListener, removeLineStyleListener, removeModifyListener, removePaintObjectListener, removeSelectionListener, removeVerifyKeyListener, removeVerifyListener, removeWordMovementListener, replaceStyleRanges, replaceTextRange, scroll, selectAll, setAlignment, setAlwaysShowScrollBars, setBackground, setBidiColoring, setBlockSelection, setBlockSelectionBounds, setBlockSelectionBounds, setBottomMargin, setCaret, setCaretOffset, setContent, setCursor, setDoubleClickEnabled, setDragDetect, setEditable, setFont, setForeground, setHorizontalIndex, setHorizontalPixel, setIndent, setJustify, setKeyBinding, setLeftMargin, setLineAlignment, setLineBackground, setLineBullet, setLineIndent, setLineJustify, setLineSpacing, setLineTabStops, setLineWrapIndent, setMarginColor, setMargins, setOrientation, setRightMargin, setSelection, setSelection, setSelection, setSelectionBackground, setSelectionForeground, setSelectionRange, setStyleRange, setStyleRanges, setStyleRanges, setStyleRanges, setTabs, setTabStops, setText, setTextDirection, setTextLimit, setTopIndex, setTopMargin, setTopPixel, setWordWrap, setWrapIndent, showSelection`

### Methods inherited from class org.eclipse.swt.widgets.Canvas

`drawBackground, getCaret, getIME, setIME`

### Methods inherited from class org.eclipse.swt.widgets.Composite

`changed, drawBackground, getBackgroundMode, getChildren, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

### Methods inherited from class org.eclipse.swt.widgets.Scrollable

`computeTrim, getClientArea, getHorizontalBar, getScrollbarsMode, getVerticalBar`

### Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addGestureListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTouchListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackgroundImage, getBorderWidth, getBounds, getCursor, getEnabled, getFont, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getTextDirection, getToolTipText, getTouchEnabled, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, removeControlListener, removeDragDetectListener, removeFocusListener, removeGestureListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTouchListener, removeTraverseListener, requestLayout, setBackgroundImage, setBounds, setBounds, setCapture, setEnabled, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setTouchEnabled, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, traverse, traverse, update`

### Methods inherited from class org.eclipse.swt.widgets.Widget

`addDisposeListener, addListener, getData, getData, getDisplay, getListeners, getStyle, isAutoDirection, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, reskin, setData, setData, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STYLE_ERROR

    public static final int STYLE_ERROR

See Also:
  Constant Field Values

#### STYLE_RESULT

    public static final int STYLE_RESULT

See Also:
  Constant Field Values

#### STYLE_COMMAND

    public static final int STYLE_COMMAND

See Also:
  Constant Field Values

### Constructor Detail

#### ScriptHistoryText

    public ScriptHistoryText(Composite parent,
                             int style)

### Method Detail

#### addScriptEngine

    public void addScriptEngine(IScriptEngine engine)

#### removeScriptEngine

    public void removeScriptEngine(IScriptEngine engine)

#### dispose

    public void dispose()

Overrides:
  `dispose` in class `StyledText`

#### clear

    public void clear()

#### notify

    public void notify(IScriptEngine engine,
                       Script script,
                       int status)

Description copied from interface: `IExecutionListener`
Notifies the listeners when script execution started/ended or when the engine itself is started/ended.

Specified by:
  `notify` in interface `IExecutionListener`
Parameters:
  `engine` - Script Engine
  `script` - Script or `null`
  `status` - Event Status

#### localPrint

    public void localPrint(String message,
                           int style)

Print a given message. Text in the output pane may be formatted in different styles depending on the style flag.

Parameters:
  `text` - text to print
  `style` - style to use (see JavaScriptShell.STYLE_* constants)